###############################################################################
##          S i Z i O U S    G E N E R I C    M A K E F I L E                ##
###############################################################################

# proggys
CC = i586-mingw32msvc-gcc
AR = i586-mingw32msvc-ar
RM = rm
STRIP = i586-mingw32msvc-strip

# flags
CFLAGS = -I"../libedc/inc" -L"../libedc/lib" -O3 -fexpensive-optimizations
PACKEROPT = -9

# files
BIN = cdi4dc
TARGET = bin/$(BIN).exe
LIBS = -ledc -I/usr/i586-mingw32msvc/include -L/usr/i586-mingw32msvc/lib -lmingw32 -luser32 -lgdi32 -lwinmm -ldxguid -lwldap32 -lws2_32

OBJSDIR = obj/
OBJS = $(OBJSDIR)main.o $(OBJSDIR)cdiaudio.o $(OBJSDIR)cdidata.o $(OBJSDIR)common.o $(OBJSDIR)tools.o

# go !	
all : $(OBJS)
	$(CC) -o $(TARGET) $(OBJS) $(CFLAGS) $(LIBS)
	$(STRIP) $(TARGET)
	
# compile source
$(OBJSDIR)%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@
	
clean:
	$(RM) $(OBJS)
	
clean-all:
	$(RM) $(OBJS) $(TARGET)
